org.apache.commons.jelly

## Class JellyTagException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.jelly.JellyException
      - - org.apache.commons.jelly.JellyTagException

All Implemented Interfaces:
  Serializable, LocationAware

Direct Known Subclasses:
  BreakException, MissingAttributeException

    public class JellyTagException
    extends JellyException

A `JellyTagException` is an exception generated by a Tag implementation.

Version:
  $Revision: 155420 $
Author:
  Morgan Delagrange
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JellyTagException()`
`JellyTagException(String message)`
`JellyTagException(String reason, String fileName, String elementName, int columnNumber, int lineNumber)`
`JellyTagException(String message, Throwable cause)`
`JellyTagException(String reason, Throwable cause, String fileName, String elementName, int columnNumber, int lineNumber)`
`JellyTagException(Throwable cause)`
`JellyTagException(Throwable cause, String fileName, String elementName, int columnNumber, int lineNumber)`

### Method Summary

### Methods inherited from class org.apache.commons.jelly.JellyException

`getCause, getColumnNumber, getElementName, getFileName, getLineNumber, getMessage, getReason, printStackTrace, printStackTrace, printStackTrace, setColumnNumber, setElementName, setFileName, setLineNumber`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JellyTagException

    public JellyTagException()

#### JellyTagException

    public JellyTagException(String message)

#### JellyTagException

    public JellyTagException(String message,
                     Throwable cause)

#### JellyTagException

    public JellyTagException(Throwable cause)

#### JellyTagException

    public JellyTagException(Throwable cause,
                     String fileName,
                     String elementName,
                     int columnNumber,
                     int lineNumber)

#### JellyTagException

    public JellyTagException(String reason,
                     Throwable cause,
                     String fileName,
                     String elementName,
                     int columnNumber,
                     int lineNumber)

#### JellyTagException

    public JellyTagException(String reason,
                     String fileName,
                     String elementName,
                     int columnNumber,
                     int lineNumber)